Bug 220197 - [NEW PORT] sysutils/dsbmc-cli: Command-line client for DSBMD
Summary: [NEW PORT] sysutils/dsbmc-cli: Command-line client for DSBMD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D11297
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-21 22:45 UTC by Marcel Kaiser
Modified: 2017-06-24 17:37 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
svn diff of the new port. (2.44 KB, patch)
2017-06-21 22:45 UTC, Marcel Kaiser
no flags Details | Diff
Poudriere build log (17.81 KB, text/plain)
2017-06-21 22:47 UTC, Marcel Kaiser
no flags Details
svn diff of the new port. (2.22 KB, patch)
2017-06-23 01:20 UTC, Marcel Kaiser
no flags Details | Diff
Poudriere build log - 10.3Ri386 (17.63 KB, text/plain)
2017-06-23 01:22 UTC, Marcel Kaiser
no flags Details
Poudriere build log - 11.0Ri386 (17.96 KB, text/plain)
2017-06-23 01:23 UTC, Marcel Kaiser
no flags Details
Poudriere build log - 11.0Ramd64 (17.82 KB, text/plain)
2017-06-23 01:24 UTC, Marcel Kaiser
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Kaiser 2017-06-21 22:45:09 UTC
Created attachment 183692 [details]
svn diff of the new port.

dsbmc-cli is a command-line client for DSBMD that provides a simple interface
to query information about storage devices, and to send requests to mount,
unmount and eject these. Furthermore, it can be used as automounter and
autounmounter.

WWW: http://freeshell.de/~mk/projects/dsbmc-cli.html
Comment 1 Marcel Kaiser 2017-06-21 22:47:44 UTC
Created attachment 183693 [details]
Poudriere build log
Comment 2 Danilo G. Baio freebsd_committer 2017-06-22 01:13:31 UTC
I'll take it.
Comment 3 Danilo G. Baio freebsd_committer 2017-06-22 22:56:49 UTC
Hi Marcel.

There are some warnings in the build log for FreeBSD 10.3 and in the i386 of FreeBSD 11 and CURRENT.
Could you take a look? The log files are here: https://reviews.freebsd.org/D11297

Regards.
Comment 4 Marcel Kaiser 2017-06-23 01:20:33 UTC
Created attachment 183723 [details]
svn diff of the new port.
Comment 5 Marcel Kaiser 2017-06-23 01:22:32 UTC
Created attachment 183725 [details]
Poudriere build log - 10.3Ri386
Comment 6 Marcel Kaiser 2017-06-23 01:23:44 UTC
Created attachment 183726 [details]
Poudriere build log - 11.0Ri386
Comment 7 Marcel Kaiser 2017-06-23 01:24:35 UTC
Created attachment 183727 [details]
Poudriere build log - 11.0Ramd64
Comment 8 Marcel Kaiser 2017-06-23 01:27:10 UTC
(In reply to Danilo G. Baio from comment #3)
Hi Danilo,

the problem should be fixed now.

Best regards,
Marcel
Comment 9 Danilo G. Baio freebsd_committer 2017-06-23 01:56:30 UTC
(In reply to Marcel Kaiser from comment #8)

Great... I've just updated the revision.
Thank you.
Comment 10 commit-hook freebsd_committer 2017-06-24 16:16:42 UTC
A commit references this bug:

Author: dbaio
Date: Sat Jun 24 16:16:33 UTC 2017
New revision: 444214
URL: https://svnweb.freebsd.org/changeset/ports/444214

Log:
  New port: sysutils/dsbmc-cli

  dsbmc-cli is a command-line client for DSBMD that provides a simple interface
  to query information about storage devices, and to send requests to mount,
  unmount and eject these. Furthermore, it can be used as automounter and
  autounmounter.

  WWW: http://freeshell.de/~mk/projects/dsbmc-cli.html

  PR:		220197
  Submitted by:	Marcel Kaiser <mk@nic-nac-project.org>
  Approved by:	garga (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11297

Changes:
  head/sysutils/Makefile
  head/sysutils/dsbmc-cli/
  head/sysutils/dsbmc-cli/Makefile
  head/sysutils/dsbmc-cli/distinfo
  head/sysutils/dsbmc-cli/pkg-descr
Comment 11 Danilo G. Baio freebsd_committer 2017-06-24 16:18:04 UTC
Committed, thanks.
Comment 12 Marcel Kaiser 2017-06-24 17:37:07 UTC
Thank you for the fast commit!